	# Define the character replacement table
	$replacementTable = @{
	" " = "A780"
"あ" = "A781"
#"い" = "A782"
"う" = "A783"
"え" = "A784"
"お" = "A785"
"か" = "A786"
"き" = "A787"
"く" = "A788"
"け" = "A789"
#"こ" = "A78A"
"さ" = "A78B"
"し" = "A78C"
"す" = "A78D"
"せ" = "A78E"
"そ" = "A78F"
"た" = "A790"
"ち" = "A791"
"つ" = "A792"
"て" = "A793"
"と" = "A794"
"な" = "A795"
"に" = "A796"
"ぬ" = "A797"
"ね" = "A798"
"の" = "A799"
"は" = "A79A"
"ひ" = "A79B"
"ふ" = "A79C"
"へ" = "A79D"
"ほ" = "A79E"
"ま" = "A79F"
"み" = "A7A0"
"む" = "A7A1"
"め" = "A7A2"
"も" = "A7A3"
#"や" = "A7A4"
"ゆ" = "A7A5"
"よ" = "A7A6"
"ら" = "A7A7"
"り" = "A7A8"
"る" = "A7A9"
"れ" = "A7AA"
"ろ" = "A7AB"
"わ" = "A7AC"
"を" = "A7AD"
#"ん" = "A7AE"
"っ" = "A7AF"
"ょ" = "A7B0"
"ゃ" = "A7B1"
"ゅ" = "A7B2"
"ア" = "A7B3"
"イ" = "A7B4"
"ウ" = "A7B5"
"エ" = "A7B6"
"オ" = "A7B7"
"カ" = "A7B8"
"ク" = "A7B9"
"ケ" = "A7BA"
"コ" = "A7BB"
"シ" = "A7BC"
"ス" = "A7BD"
"ソ" = "A7BE"
"タ" = "A7BF"
"チ" = "A7C0"
"テ" = "A7C1"
"ト" = "A7C2"
"ナ" = "A7C3"
"ハ" = "A7C4"
"ヒ" = "A7C5"
"フ" = "A7C6"
"マ" = "A7C7"
"ミ" = "A7C8"
"ヤ" = "A7C9"
"ラ" = "A7CA"
"リ" = "A7CB"
"ル" = "A7CC"
"レ" = "A7CD"
"ロ" = "A7CE"
"ワ" = "A7CF"
"ン" = "A7D0"
"ァ" = "A7D1"
"ャ" = "A7D2"
"ョ" = "A7D3"
"ッ" = "A7D4"
"ﾞ" = "A7DF"
"ﾟ" = "A7E0"
"。" = "A7E1"
"｢" = "A7E2"
"｣" = "A7E3"
"（" = "A7E4"
"）" = "A7E5"
"！" = "A7E6"
"？" = "A7E7"
"‐" = "A7E8"
"／" = "A7E9"
"，" = "A7EA"
"・" = "A7EB"

	}

	# Define the file path
	$file = "C:\Users\Nani\Desktop\fist_intro_v1.txt"

	# Read the content of the file
	$content = Get-Content -Path $file -Raw

	# Iterate through each replacement and replace it in the content
	foreach ($key in $replacementTable.Keys) {
	$content = $content -replace [regex]::Escape($key), $replacementTable[$key]
	}

	# Write the updated content back to the file
	$content | Set-Content -Path $file