	# Define the character replacement table
	$replacementTable = @{
"A780" = " "
"A781" = "あ"
# "A782" = "い"
"A783" = "う"
"A784" = "え"
"A785" = "お"
"A786" = "か"
"A787" = "き"
"A788" = "く"
"A789" = "け"
# "A78A" = "こ"
"A78B" = "さ"
"A78C" = "し"
"A78D" = "す"
"A78E" = "せ"
"A78F" = "そ"
"A790" = "た"
"A791" = "ち"
"A792" = "つ"
"A793" = "て"
"A794" = "と"
"A795" = "な"
"A796" = "に"
"A797" = "ぬ"
"A798" = "ね"
"A799" = "の"
"A79A" = "は"
"A79B" = "ひ"
"A79C" = "ふ"
"A79D" = "へ"
"A79E" = "ほ"
"A79F" = "ま"
"A7A0" = "み"
"A7A1" = "む"
"A7A2" = "め"
"A7A3" = "も"
# "A7A4" = "や"
"A7A5" = "ゆ"
"A7A6" = "よ"
"A7A7" = "ら"
"A7A8" = "り"
"A7A9" = "る"
"A7AA" = "れ"
"A7AB" = "ろ"
"A7AC" = "わ"
"A7AD" = "を"
# "A7AE" = "ん"
"A7AF" = "っ"
"A7B0" = "ょ"
"A7B1" = "ゃ"
"A7B2" = "ゅ"
"A7B3" = "ア"
"A7B4" = "イ"
"A7B5" = "ウ"
"A7B6" = "エ"
"A7B7" = "オ"
"A7B8" = "カ"
"A7B9" = "ク"
"A7BA" = "ケ"
"A7BB" = "コ"
"A7BC" = "シ"
"A7BD" = "ス"
"A7BE" = "ソ"
"A7BF" = "タ"
"A7C0" = "チ"
"A7C1" = "テ"
"A7C2" = "ト"
"A7C3" = "ナ"
"A7C4" = "ハ"
"A7C5" = "ヒ"
"A7C6" = "フ"
"A7C7" = "マ"
"A7C8" = "ミ"
"A7C9" = "ヤ"
"A7CA" = "ラ"
"A7CB" = "リ"
"A7CC" = "ル"
"A7CD" = "レ"
"A7CE" = "ロ"
"A7CF" = "ワ"
"A7D0" = "ン"
"A7D1" = "ァ"
"A7D2" = "ャ"
"A7D3" = "ョ"
"A7D4" = "ッ"
"A7DF" = "ﾞ"
"A7E0" = "ﾟ"
"A7E1" = "。"
"A7E2" = "｢"
"A7E3" = "｣"
"A7E4" = "（"
"A7E5" = "）"
"A7E6" = "！"
"A7E7" = "？"
"A7E8" = "‐"
"A7E9" = "／"
"A7EA" = "，"
"A7EB" = "・"
"FFFF" = "`n"

	}

	# Define the file path
	$file = "C:\Users\Nani\Desktop\fist_intro_v1.txt"

	# Read the content of the file
	$content = Get-Content -Path $file -Raw

	# Iterate through each replacement and replace it in the content
	foreach ($key in $replacementTable.Keys) {
	$content = $content -replace [regex]::Escape($key), $replacementTable[$key]
	}

	# Write the updated content back to the file
	$content | Set-Content -Path $file